#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 31. KDE Frameworks 5 Based Applications

- Prev

  Kdenlive-21.12.2

- Next

  kio-extras-21.12.2

- Up
- Home

# KMix-21.12.2

## Introduction to KMix

The KMix package contains a KF5 based Sound Mixer application.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://download.kde.org/stable/release-service/21.12.2/src/kmix-21.12.2.tar.xz

- Download MD5 sum: d71b1c4c8468ef8a65680b9a16cb2d2a

- Download size: 1.1 MB

- Estimated disk space required: 17 MB

- Estimated build time: 0.2 SBU (using parallelism=4)

### KMix Dependencies

#### Required

KDE Frameworks-5.91.0

#### Recommended

alsa-lib-1.2.6.1

#### Optional

libcanberra-0.30 and PulseAudio-15.0

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/kmix5

## Installation of KMix

Install KMix by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -DCMAKE_INSTALL_PREFIX=$KF5_PREFIX \
          -DCMAKE_BUILD_TYPE=Release         \
          -DBUILD_TESTING=OFF                \
          -Wno-dev .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: kmix, kmixctrl, and kmixremote
Installed Libraries: libkmixcore.so
Installed Directories: $KF5_PREFIX/share/kmix, $KF5_PREFIX/share/kxmlgui5/kmix, and $KF5_PREFIX/share/doc/HTML/*/kmix

### Short Descriptions

kmix | is a mini audio mixer for kde
kmixctrl | is used to save or restore the settings of kmix
kmixremote | is a utility to mute, get and set volume levels

Last updated on

- Prev

  Kdenlive-21.12.2

- Next

  kio-extras-21.12.2

- Up
- Home